extends Interactable
@onready var sprite_2d: AnimatedSprite2D = $Sprite2D

func _on_interaction_area_body_entered(body: Player) -> void:
	sprite_2d.frame += 1

func _on_interaction_area_body_exited(body: Player) -> void:
	sprite_2d.frame -= 1

func interact(player: Player):
	sprite_2d.frame += 2
